org.apache.catalina.deploy

## Class InjectionTarget

- java.lang.Object
- - org.apache.catalina.deploy.InjectionTarget

    public class InjectionTarget
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`InjectionTarget()`
`InjectionTarget(String targetClass, String targetName)`

### Method Summary

Methods
`String` `getTargetClass()`
`String` `getTargetName()`
`void` `setTargetClass(String targetClass)`
`void` `setTargetName(String targetName)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### InjectionTarget

    public InjectionTarget()

#### InjectionTarget

    public InjectionTarget(String targetClass,
                   String targetName)

### Method Detail

#### getTargetClass

    public String getTargetClass()

#### setTargetClass

    public void setTargetClass(String targetClass)

#### getTargetName

    public String getTargetName()

#### setTargetName

    public void setTargetName(String targetName)